## cinder-tempest-plugin 1.0.0

=== debian/changelog ===
cinder-tempest-plugin (1.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2020 10:59:19 +0200

cinder-tempest-plugin (1.0.0-1) experimental; urgency=medium

  * Initial packaging (Closes: #958707).

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 17:21:46 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/cinder-tempest-plugin/tags .*/(\d[\d\.]+)\.tar\.gz

## cinder-tempest-plugin 1.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
six>=1.10.0 # MIT
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
tempest>=17.1.0 # Apache-2.0

=== debian/changelog ===
cinder-tempest-plugin (1.2.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 10:25:18 +0200

cinder-tempest-plugin (1.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Oct 2020 09:46:23 +0200

cinder-tempest-plugin (1.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 22:17:16 +0200

=== debian/control ===
Source: cinder-tempest-plugin
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 109~),
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-oslo.config,
 python3-six,
 python3-oslo.serialization,
 tempest,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/cinder-tempest-plugin
Vcs-Git: https://salsa.debian.org/openstack-team/tempest/cinder-tempest-plugin.git
Homepage: https://opendev.org/openstack/cinder-tempest-plugin

Package: cinder-tempest-plugin
Architecture: all
Depends:
 python3-pbr,
 python3-oslo.config,
 python3-six,
 python3-oslo.serialization,
 tempest,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Integration Test Suite - Cinder plugin
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package contains the Cinder plugin.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/cinder-tempest-plugin
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "No test for now..."
	#pkgos-dh_auto_test --no-py2
endif

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## cinder-tempest-plugin 1.5.0

=== debian/changelog ===
cinder-tempest-plugin (1.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:33:03 +0200

cinder-tempest-plugin (1.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Aug 2021 10:28:53 +0200

cinder-tempest-plugin (1.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:43:35 +0200

cinder-tempest-plugin (1.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Mar 2021 09:16:53 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,18 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 109~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
 Build-Depends-Indep:
  python3-oslo.config,
  python3-six,
+ python3-stestr,
  python3-oslo.serialization,
+ subunit,
  tempest,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/cinder-tempest-plugin
 Vcs-Git: https://salsa.debian.org/openstack-team/tempest/cinder-tempest-plugin.git
 Homepage: https://opendev.org/openstack/cinder-tempest-plugin

## cinder-tempest-plugin 1.6.0

=== requirements.txt ===
--- 
+++ 
@@ -6,4 +6,4 @@
 oslo.config>=5.1.0 # Apache-2.0
 six>=1.10.0 # MIT
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
-tempest>=17.1.0 # Apache-2.0
+tempest>=27.0.0 # Apache-2.0

=== debian/changelog ===
cinder-tempest-plugin (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 16:54:45 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-stestr,
  python3-oslo.serialization,
  subunit,
- tempest,
+ tempest (>= 27.0.0),
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/cinder-tempest-plugin
 Vcs-Git: https://salsa.debian.org/openstack-team/tempest/cinder-tempest-plugin.git
@@ -30,7 +30,7 @@
  python3-oslo.config,
  python3-six,
  python3-oslo.serialization,
- tempest,
+ tempest (>= 27.0.0),
  ${misc:Depends},
  ${python3:Depends},
 Provides:

## cinder-tempest-plugin 1.7.1

=== debian/changelog ===
cinder-tempest-plugin (1.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Sep 2022 16:40:35 +0200

cinder-tempest-plugin (1.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 16:49:56 +0200

cinder-tempest-plugin (1.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Sep 2022 22:01:12 +0200

## cinder-tempest-plugin 1.7.2

=== requirements.txt ===
--- 
+++ 
@@ -4,6 +4,5 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 oslo.config>=5.1.0 # Apache-2.0
-six>=1.10.0 # MIT
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 tempest>=27.0.0 # Apache-2.0

=== debian/changelog ===
cinder-tempest-plugin (1.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Oct 2022 10:20:49 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
  python3-setuptools,
 Build-Depends-Indep:
  python3-oslo.config,
- python3-six,
  python3-stestr,
  python3-oslo.serialization,
  subunit,
@@ -28,7 +27,6 @@
 Depends:
  python3-pbr,
  python3-oslo.config,
- python3-six,
  python3-oslo.serialization,
  tempest (>= 27.0.0),
  ${misc:Depends},

## cinder-tempest-plugin 1.8.1

=== debian/changelog ===
cinder-tempest-plugin (1.8.1-3) unstable; urgency=medium

  * Cleans correctly (Closes: #1043723).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Aug 2023 11:59:35 +0200

cinder-tempest-plugin (1.8.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 15:29:34 +0200

cinder-tempest-plugin (1.8.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Mar 2023 15:02:07 +0100

cinder-tempest-plugin (1.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 10:19:34 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf build
 
 override_dh_auto_test:
 	echo "Do nothing..."

## cinder-tempest-plugin 1.10.0

=== debian/changelog ===
cinder-tempest-plugin (1.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2023 18:30:29 +0200

cinder-tempest-plugin (1.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Sep 2023 15:06:01 +0200

cinder-tempest-plugin (1.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Cleans even better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 09:21:49 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
-	rm -rf build
+	rm -rf build *.egg-info
 
 override_dh_auto_test:
 	echo "Do nothing..."

## cinder-tempest-plugin 1.12.0

=== debian/changelog ===
cinder-tempest-plugin (1.12.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Apr 2024 10:05:31 +0200

cinder-tempest-plugin (1.12.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Mar 2024 12:41:50 +0100

cinder-tempest-plugin (1.11.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2024 11:39:04 +0100

## cinder-tempest-plugin 1.15.0

=== requirements.txt ===
--- 
+++ 
@@ -5,4 +5,4 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 oslo.config>=5.1.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
-tempest>=27.0.0 # Apache-2.0
+tempest>=34.2.0 # Apache-2.0

=== debian/changelog ===
cinder-tempest-plugin (1.15.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090401).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 08:58:55 +0100

cinder-tempest-plugin (1.15.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2024 16:48:27 +0200

cinder-tempest-plugin (1.14.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 13:52:43 +0200

cinder-tempest-plugin (1.14.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Aug 2024 15:49:11 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-stestr,
  python3-oslo.serialization,
  subunit,
- tempest (>= 27.0.0),
+ tempest (>= 34.2.0),
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/cinder-tempest-plugin
 Vcs-Git: https://salsa.debian.org/openstack-team/tempest/cinder-tempest-plugin.git
@@ -28,7 +28,7 @@
  python3-pbr,
  python3-oslo.config,
  python3-oslo.serialization,
- tempest (>= 27.0.0),
+ tempest (>= 34.2.0),
  ${misc:Depends},
  ${python3:Depends},
 Provides:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/cinder-tempest-plugin/tags .*/(\d[brc\d\.]+)\.tar\.gz

## cinder-tempest-plugin 1.17.0

=== debian/changelog ===
cinder-tempest-plugin (1.17.0-2~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Sat, 29 Mar 2025 08:15:38 +0000

cinder-tempest-plugin (1.17.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 29 Mar 2025 09:13:47 +0100

cinder-tempest-plugin (1.17.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 14:05:56 +0100

cinder-tempest-plugin (1.16.0-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 14:54:34 +0100

cinder-tempest-plugin (1.16.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 14:46:42 +0100

## cinder-tempest-plugin 1.18.0

=== debian/changelog ===
cinder-tempest-plugin (1.18.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Sep 2025 08:31:03 +0200

## cinder-tempest-plugin 1.19.0

=== requirements.txt ===
--- 
+++ 
@@ -5,4 +5,4 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 oslo.config>=5.1.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
-tempest>=34.2.0 # Apache-2.0
+tempest>=40.0.0 # Apache-2.0

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
openstackdocstheme>=1.18.1 # Apache-2.0

=== debian/changelog ===
cinder-tempest-plugin (1.19.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:29:31 +0200

cinder-tempest-plugin (1.19.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Sep 2025 14:40:43 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-stestr,
  python3-oslo.serialization,
  subunit,
- tempest (>= 34.2.0),
+ tempest (>= 40.0.0),
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/cinder-tempest-plugin
 Vcs-Git: https://salsa.debian.org/openstack-team/tempest/cinder-tempest-plugin.git
@@ -28,7 +28,7 @@
  python3-pbr,
  python3-oslo.config,
  python3-oslo.serialization,
- tempest (>= 34.2.0),
+ tempest (>= 40.0.0),
  ${misc:Depends},
  ${python3:Depends},
 Provides:

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/cinder-tempest-plugin refs/tags/(\d[brc\d\.]+)

## cinder-tempest-plugin 1.20.0

=== debian/changelog ===
cinder-tempest-plugin (1.20.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 08:18:57 +0100

cinder-tempest-plugin (1.19.0-3) unstable; urgency=medium

  * Clean-up .pybuild folder (Closes: #1043723).

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Feb 2026 16:17:51 +0100
